package com.engine.attendance.attendanceanalysis.service;

import java.util.List;
import java.util.Map;

public interface EvectionService {
    /**
     * 根据时间出差
     * @return
     */
    Map<String,Object> evectionByTime(Map<String,Object> param);

    /**
     * 根据时长出差
     * @return
     */
    Map<String,Object> evectionByDurationTime(Map<String,Object> param);

    /**
     * 根据半天出差
     * @param param
     * @return
     */
    List<Map<String,Object>> evectionByHalfDay(Map<String,Object> param);
    /**
     * 根据班次获得出差记录以及出差排班
     * @param param
     * @return
     */
    Map<String,Object> getEvection(Map<String,Object> param);
}
